host DNS lookup
Usage
host [-i] [-a] <dnsquery:string>
Description
Starts a DNS lookup for the <dnsquery> (hostname) and prints the results in the current window. The -i switch causes the command to execute in IPv6 mode (and lookup ONLY IPv6 hosts!). The -a switch causes the command to run in unspecified mode and return any available address: IPv4 or IPv6. This command also performs reverse lookups (if you pass an IP address as <hostname>).
Switches
--ipv6 | -i
Causes the command to run in IPv6 mode
--any | -a
Causes the command to run in unspecified mode and lookup both IPv4 and IPv6 addresses
Examples
host localhost host irc.flashnet.it host -i irc.flashnet.it host -i A0E0:FFFF:::1010:1111:E0E0:A0A0 host -a 127.0.0.1 host 255.41.31.23 host -a irc.stealth.net
See also
ahost

Index, Commands